org.eclipse.eef

## Interface EEFLabelConditionalStyle

All Superinterfaces:
  EEFConditionalStyle, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFLabelConditionalStyleImpl

    public interface EEFLabelConditionalStyle
    extends EEFConditionalStyle

A representation of the model object 'EEF Label Conditional Style'. Represents a conditional style that can be applied on label widgets.

The following features are supported:

- `Style`

See Also:
  `EefPackage.getEEFLabelConditionalStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`EEFLabelStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`void` `setStyle(EEFLabelStyle value)` Sets the value of the '`Style`' containment reference.

### Methods inherited from interface org.eclipse.eef.EEFConditionalStyle

`getPreconditionExpression, setPreconditionExpression`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getStyle

    EEFLabelStyle getStyle()

Returns the value of the 'Style' containment reference.

If the meaning of the 'Style' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(EEFLabelStyle)`, `EefPackage.getEEFLabelConditionalStyle_Style()`

#### setStyle

    void setStyle(EEFLabelStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`